Last modified: 2009-01-23 19:29:06 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16896 - Review log entries should be sent to RC/IRC feed
Review log entries should be sent to RC/IRC feed
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
FlaggedRevs (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Aaron Schulz
http://de.wikipedia.org/wiki/Special:...
:
Depends on:
Blocks: 16599
  Show dependency treegraph
 
Reported: 2009-01-05 22:07 UTC by P.Copp
Modified: 2009-01-23 19:29 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description P.Copp 2009-01-05 22:07:15 UTC
This request is basically the same as bug 16604, except that it's about the review log. Most anti-vandalism tools are based on the irc feeds and would profit a lot from getting information about sightings.
Comment 1 Gurch 2009-01-05 22:24:07 UTC
Yes, as with bug 16604, this is really a big part of using the reviewing feature efficiently for its intended purpose. (Not that I agree with doing that in the first place). I assume the same objection that was raised there applies here, though.
Comment 2 Aaron Schulz 2009-01-06 15:24:46 UTC
wontfixing due to flood factor
Comment 3 Gurch 2009-01-06 16:17:49 UTC
(In reply to comment #2)
> wontfixing due to flood factor

Is this due to actual bandwidth issues, or the idea that humans might actually be reading the feed directly? If it's the latter, can we *please* either abandon that idea or set up a separate feed for automated processes because they are by far the majority consumers of this information. Especially on en.wikipedia, where I doubt anyone has used the feed for patrolling in its raw form for years.
Comment 4 P. Birken 2009-01-06 18:48:53 UTC
In particular, I would like to point out that in [[bugzilla:16604]], some things are pointed out to reduce the flood factor. 
Comment 5 Gurch 2009-01-06 18:59:15 UTC
(In reply to comment #4)
> In particular, I would like to point out that in [[bugzilla:16604]], some
> things are pointed out to reduce the flood factor. 

True, although sighting seems to generate more (manual) activity than patrolling, so not listing the automated ones separately wouldn't help quite as much. In particular, if you were trying to read the feed directly, then assuming the wiki's users are staying on top of their backlog there would be one sight for every edit, which would certainly get in the way of trying to read the edits. 

Hence the aforementioned need to either make the feeds' intended purpose a machine-readable source or provide alternative feeds. :/
Comment 6 Aaron Schulz 2009-01-09 17:39:26 UTC
I checked .de and .en IRC channels...seems to just be filled with bots. I suppose then, we don't need a separate channel.
Comment 7 Aaron Schulz 2009-01-10 00:14:04 UTC
Done in r45610 et al and r45622
Comment 8 Aaron Schulz 2009-01-10 00:15:46 UTC
Note that autopatrol doesn't show here, but ! marks will be shown on edits as needed, so the information is there.
Comment 9 Gurch 2009-01-21 20:36:12 UTC
At the moment the output lines give the user, name of the page being reviewed and review levels. Since it's possible to review revisions of a page other than the most recent one, it should supply the revision id as well.
Comment 10 Aaron Schulz 2009-01-23 19:29:06 UTC
Done in r46094

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links